%%%%%%%%%%%%%%%
%  MainTar.m  %
%%%%%%%%%%%%%%%

%Bruce E. Hansen
%Department of Economics
%Social Science Building
%University of Wisconsin
%Madison, WI 53706-1393
%bhansen@ssc.wisc.edu
%http://www.ssc.wisc.edu/~bhansen/

%This program replicates the empirical work reported in
%"Inference when a nuisance parameter is not identified
%under the null hypothesis."

%It calls the procedures TAR.M and STAR.M and loads
%the data GNP.TXT.

%Refer to the procedure files for explanations.


function maintar()

load gnp.txt;
yg=log(gnp(:,1));
y=(yg(2:175)-yg(1:174))*400;
omit = [];

%Latex output%
tex = fopen('out.tex','wt');
fprintf(tex,'\\documentclass{article}\n');
fprintf(tex,'\\usepackage{geometry}\n');
fprintf(tex,'\\linespread{1.3}\n');
fprintf(tex,'\\title{Inference when a nuisance parameter is not identified under the null hypothesis (Empirical Analysis Output)}\n');
fprintf(tex,'\\author{Bruce E. Hansen \\\\ Department of Economics\\\\University of Wisconsin Madison}\n');
fprintf(tex,'\\begin{document}\n');
fprintf(tex,'\\maketitle\n');
fclose(tex);


[t,p]=tar(y,5,omit,.15,.85,10,1,1);
disp(' ');
disp(' ');
%Latex output%
tex = fopen('out.tex','a+');
fprintf(tex,'\\vspace{.2cm}\\\\\n');
fclose(tex);

[te,pe]=star(y,5,omit);
disp(' ');
tex = fopen('out.tex','a+');
fprintf(tex,'\\end{document}\n');
fclose(tex);

